gi-vte-2.91.33: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Vte.Structs.Uuid

Contents

- Exported types
- Methods
  - dup
  - equal
  - free
  - freeToString
  - newFromString
  - newV4
  - newV5
  - toString
  - validateString

Description

No description available in the introspection data.

Synopsis

- newtype Uuid = Uuid (ManagedPtr Uuid)
- uuidDup :: (HasCallStack, MonadIO m) => Uuid -> m Uuid
- uuidEqual :: (HasCallStack, MonadIO m) => Uuid -> Uuid -> m Bool
- uuidFree :: (HasCallStack, MonadIO m) => Uuid -> m ()
- uuidFreeToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> CSize -> m Text
- uuidNewFromString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m Uuid
- uuidNewV4 :: (HasCallStack, MonadIO m) => m Uuid
- uuidNewV5 :: (HasCallStack, MonadIO m) => Uuid -> Text -> Int64 -> m Uuid
- uuidToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> CSize -> m Text
- uuidValidateString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m Bool

# Exported types

newtype Uuid Source #

Memory-managed wrapper type.

Constructors

Uuid (ManagedPtr Uuid) |

#### Instances

Instances details

Eq Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods (==) :: Uuid -> Uuid -> Bool Source # (/=) :: Uuid -> Uuid -> Bool Source #
GBoxed Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid
ManagedPtrNewtype Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods toManagedPtr :: Uuid -> ManagedPtr Uuid Source #
TypedObject Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods glibType :: IO GType Source #
HasParentTypes Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid
IsGValue (Maybe Uuid) Source # | Convert `Uuid` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Vte.Structs.Uuid Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Uuid -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Uuid) Source #
type ParentTypes Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid type ParentTypes Uuid = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

dup, equal, free, freeToString, newV5, toString.

#### Getters

None.

#### Setters

None.

## dup

uuidDup :: (HasCallStack, MonadIO m) => Uuid -> m Uuid Source #

No description available in the introspection data.

## equal

uuidEqual :: (HasCallStack, MonadIO m) => Uuid -> Uuid -> m Bool Source #

No description available in the introspection data.

## free

uuidFree :: (HasCallStack, MonadIO m) => Uuid -> m () Source #

No description available in the introspection data.

## freeToString

uuidFreeToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> CSize -> m Text Source #

No description available in the introspection data.

## newFromString

uuidNewFromString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m Uuid Source #

No description available in the introspection data.

## newV4

uuidNewV4 :: (HasCallStack, MonadIO m) => m Uuid Source #

No description available in the introspection data.

## newV5

uuidNewV5 :: (HasCallStack, MonadIO m) => Uuid -> Text -> Int64 -> m Uuid Source #

No description available in the introspection data.

## toString

uuidToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> CSize -> m Text Source #

No description available in the introspection data.

## validateString

uuidValidateString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m Bool Source #

No description available in the introspection data.